# Generated by Django 3.1.5 on 2021-01-29 06:34

import controlled_vocabulary.models
from django.db import migrations, models
import django.db.models.deletion
import ead.validators


class Migration(migrations.Migration):

    dependencies = [
        ('controlled_vocabulary', '0004_remove_controlledvocabulary_test'),
        ('ead', '0004_auto_20201202_2152'),
    ]

    operations = [
        migrations.CreateModel(
            name='OriginationCorpName',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('normal', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('relator', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('assembled_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='OriginationCorpNamePart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('part', models.TextField()),
                ('order', models.PositiveSmallIntegerField()),
                ('plain_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='part_set', to='ead.originationcorpname')),
                ('script', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924'])),
            ],
            options={
                'ordering': ['order'],
                'unique_together': {('name', 'order')},
            },
        ),
        migrations.CreateModel(
            name='OriginationFamName',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('normal', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('relator', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('assembled_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='OriginationFamNamePart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('part', models.TextField()),
                ('order', models.PositiveSmallIntegerField()),
                ('plain_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='part_set', to='ead.originationfamname')),
                ('script', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924'])),
            ],
            options={
                'ordering': ['order'],
                'unique_together': {('name', 'order')},
            },
        ),
        migrations.CreateModel(
            name='OriginationName',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('normal', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('relator', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('assembled_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='OriginationNamePart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('part', models.TextField()),
                ('order', models.PositiveSmallIntegerField()),
                ('plain_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='part_set', to='ead.originationname')),
                ('script', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924'])),
            ],
            options={
                'ordering': ['order'],
                'unique_together': {('name', 'order')},
            },
        ),
        migrations.CreateModel(
            name='OriginationPersName',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('normal', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('relator', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('assembled_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='OriginationPersNamePart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('part', models.TextField()),
                ('order', models.PositiveSmallIntegerField()),
                ('plain_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='part_set', to='ead.originationpersname')),
                ('script', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924'])),
            ],
            options={
                'ordering': ['order'],
                'unique_together': {('name', 'order')},
            },
        ),
        migrations.CreateModel(
            name='RepositoryCorpName',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('normal', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('relator', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('assembled_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RepositoryCorpNamePart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('part', models.TextField()),
                ('order', models.PositiveSmallIntegerField()),
                ('plain_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='part_set', to='ead.repositorycorpname')),
                ('script', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924'])),
            ],
            options={
                'ordering': ['order'],
                'unique_together': {('name', 'order')},
            },
        ),
        migrations.CreateModel(
            name='RepositoryFamName',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('normal', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('relator', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('assembled_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RepositoryFamNamePart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('part', models.TextField()),
                ('order', models.PositiveSmallIntegerField()),
                ('plain_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='part_set', to='ead.repositoryfamname')),
                ('script', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924'])),
            ],
            options={
                'ordering': ['order'],
                'unique_together': {('name', 'order')},
            },
        ),
        migrations.CreateModel(
            name='RepositoryName',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('normal', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('relator', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('assembled_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RepositoryNamePart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('part', models.TextField()),
                ('order', models.PositiveSmallIntegerField()),
                ('plain_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='part_set', to='ead.repositoryname')),
                ('script', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924'])),
            ],
            options={
                'ordering': ['order'],
                'unique_together': {('name', 'order')},
            },
        ),
        migrations.CreateModel(
            name='RepositoryPersName',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('normal', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('relator', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('assembled_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RepositoryPersNamePart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('altrender', models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token])),
                ('audience', models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8)),
                ('encodinganalog', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('ead_id', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id])),
                ('identifier', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('localtype', models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token])),
                ('rules', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken])),
                ('source', models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token])),
                ('part', models.TextField()),
                ('order', models.PositiveSmallIntegerField()),
                ('plain_name', models.TextField(blank=True)),
                ('lang', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2'])),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='part_set', to='ead.repositorypersname')),
                ('script', controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924'])),
            ],
            options={
                'ordering': ['order'],
                'unique_together': {('name', 'order')},
            },
        ),
        migrations.AlterUniqueTogether(
            name='corpnamepart',
            unique_together=None,
        ),
        migrations.RemoveField(
            model_name='corpnamepart',
            name='lang',
        ),
        migrations.RemoveField(
            model_name='corpnamepart',
            name='name',
        ),
        migrations.RemoveField(
            model_name='corpnamepart',
            name='script',
        ),
        migrations.RemoveField(
            model_name='famname',
            name='lang',
        ),
        migrations.RemoveField(
            model_name='famname',
            name='script',
        ),
        migrations.AlterUniqueTogether(
            name='famnamepart',
            unique_together=None,
        ),
        migrations.RemoveField(
            model_name='famnamepart',
            name='lang',
        ),
        migrations.RemoveField(
            model_name='famnamepart',
            name='name',
        ),
        migrations.RemoveField(
            model_name='famnamepart',
            name='script',
        ),
        migrations.RemoveField(
            model_name='name',
            name='lang',
        ),
        migrations.RemoveField(
            model_name='name',
            name='script',
        ),
        migrations.AlterUniqueTogether(
            name='namepart',
            unique_together=None,
        ),
        migrations.RemoveField(
            model_name='namepart',
            name='lang',
        ),
        migrations.RemoveField(
            model_name='namepart',
            name='name',
        ),
        migrations.RemoveField(
            model_name='namepart',
            name='script',
        ),
        migrations.RemoveField(
            model_name='persname',
            name='lang',
        ),
        migrations.RemoveField(
            model_name='persname',
            name='script',
        ),
        migrations.AlterUniqueTogether(
            name='persnamepart',
            unique_together=None,
        ),
        migrations.RemoveField(
            model_name='persnamepart',
            name='lang',
        ),
        migrations.RemoveField(
            model_name='persnamepart',
            name='name',
        ),
        migrations.RemoveField(
            model_name='persnamepart',
            name='script',
        ),
        migrations.RemoveField(
            model_name='ead',
            name='languagedeclarations',
        ),
        migrations.RemoveField(
            model_name='ead',
            name='repositories',
        ),
        migrations.RemoveField(
            model_name='origination',
            name='corpnames',
        ),
        migrations.RemoveField(
            model_name='origination',
            name='famnames',
        ),
        migrations.RemoveField(
            model_name='origination',
            name='names',
        ),
        migrations.RemoveField(
            model_name='origination',
            name='persnames',
        ),
        migrations.RemoveField(
            model_name='repository',
            name='corpnames',
        ),
        migrations.RemoveField(
            model_name='repository',
            name='famnames',
        ),
        migrations.RemoveField(
            model_name='repository',
            name='names',
        ),
        migrations.RemoveField(
            model_name='repository',
            name='persnames',
        ),
        migrations.AddField(
            model_name='languagedeclaration',
            name='control',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='ead.ead'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='repository',
            name='did',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='ead.ead'),
            preserve_default=False,
        ),
        migrations.DeleteModel(
            name='CorpName',
        ),
        migrations.DeleteModel(
            name='CorpNamePart',
        ),
        migrations.DeleteModel(
            name='FamName',
        ),
        migrations.DeleteModel(
            name='FamNamePart',
        ),
        migrations.DeleteModel(
            name='Name',
        ),
        migrations.DeleteModel(
            name='NamePart',
        ),
        migrations.DeleteModel(
            name='PersName',
        ),
        migrations.DeleteModel(
            name='PersNamePart',
        ),
        migrations.AddField(
            model_name='repositorypersname',
            name='repository',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='persname_set', to='ead.repository'),
        ),
        migrations.AddField(
            model_name='repositorypersname',
            name='script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
        migrations.AddField(
            model_name='repositoryname',
            name='repository',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='name_set', to='ead.repository'),
        ),
        migrations.AddField(
            model_name='repositoryname',
            name='script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
        migrations.AddField(
            model_name='repositoryfamname',
            name='repository',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='famname_set', to='ead.repository'),
        ),
        migrations.AddField(
            model_name='repositoryfamname',
            name='script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
        migrations.AddField(
            model_name='repositorycorpname',
            name='repository',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='corpname_set', to='ead.repository'),
        ),
        migrations.AddField(
            model_name='repositorycorpname',
            name='script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
        migrations.AddField(
            model_name='originationpersname',
            name='origination',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='persname_set', to='ead.origination'),
        ),
        migrations.AddField(
            model_name='originationpersname',
            name='script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
        migrations.AddField(
            model_name='originationname',
            name='origination',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='name_set', to='ead.origination'),
        ),
        migrations.AddField(
            model_name='originationname',
            name='script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
        migrations.AddField(
            model_name='originationfamname',
            name='origination',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='famname_set', to='ead.origination'),
        ),
        migrations.AddField(
            model_name='originationfamname',
            name='script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
        migrations.AddField(
            model_name='originationcorpname',
            name='origination',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='corpname_set', to='ead.origination'),
        ),
        migrations.AddField(
            model_name='originationcorpname',
            name='script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
    ]
